

;					--|__|--|__|--------|__

;******************************************************************************
;   
;******************************************************************************

.include 	"tn2313adef.inc"	;  tiny2313a


;******************************************************************************
;  
;******************************************************************************

.def	Temp=R16
.def	Temp1=R17
.def	Temp2=R18
.def	Temp3=R19
.def	Temp4=R20			;   SREG
.def	Temp5=R21
.def	FlagFazy=R22			;   ( 0=, 1= , 2=  )
.def	FlagSinhr=R23			;   ( 1=, 0= )
.def	Temp8=R24
.def	Temp9=R25



;******************************************************************************
; 
;******************************************************************************


.dseg					; 

OZU: .byte 2				;  2   



;******************************************************************************
;  
;******************************************************************************


.cseg			



.org 0

rjmp RESET				; External Pin, Power-on Reset, Brown-out Reset, and Watchdog Reset (   )






.org INT_VECTORS_SIZE			;   




;******************************************************************************
; 
;******************************************************************************

reset:					;  


;******************************************************************************
;   
;******************************************************************************

	cli				;    


;******************************************************************************
;  
;******************************************************************************

	ldi Temp,low(RamEnd)		;  	
	out SPL,Temp			;


;******************************************************************************
;  
;******************************************************************************
	
	ldi Temp,0b11111111		;   "" (0-, 1-)
	out DDRB,Temp			; 
					


	ldi Temp,0b00000000		;  _0   "B"
	out PortB,Temp			;



				
												 
	ldi Temp,0b01111011		;   "D" (0-, 1-)
	out DDRD,Temp 			; 0000000 -     PD2
					; 


	ldi Temp,0b00000000		;  _0   
	out PortD,Temp	



;******************************************************************************
;   
;******************************************************************************

;	sei				;   
	





;*******************************************************************************
;  
;*******************************************************************************

Main_cicle:



;*******************************************************************************
; 
;*******************************************************************************
	

	ldi Temp1,0
	ldi Temp2,0
	ldi Temp3,10

Loop:

	dec Temp1
	brne Loop

	dec Temp2
	brne Loop

	dec Temp3
	brne Loop


;*******************************************************************************
; 
;*******************************************************************************


	ldi Temp,0b00000011		;    "B"
	out PortB,Temp	



;*******************************************************************************
; 2
;*******************************************************************************
	

	ldi Temp1,0
	ldi Temp2,0
	ldi Temp3,10

Loop2:

	dec Temp1
	brne Loop2

	dec Temp2
	brne Loop2

	dec Temp3
	brne Loop2


;*******************************************************************************
; 
;*******************************************************************************



	ldi Temp,0b00000000		;    "B"
	out PortB,Temp	


	
	rjmp Main_cicle			; 






